variables:
  IMAGE_NAME: $CI_REGISTRY_IMAGE/mecapis
  #IMAGE_NAME: mecapis
  #IMAGE_TAG: $CI_COMMIT_BRANCH.$CI_COMMIT_SHA
  IMAGE_TAG: test123
  KIND_VERSION: v0.23.0

stages:
    - integration
    - test 
    - build

default:
    image: python:3.8
    before_script:
       - apt-get update && pip install -r requirements.txt && apt-get install gettext-base
       - python -m pip install -r requirements.txt



test:
    stage: test
    only:
    - main 
    - ip
    tags:
      - icom-runner
    services:
      - name: mongo:latest
        alias: mongoapis
    script:
      - python app.py &
      - sleep 5 && curl http://localhost:5000 

build:
  stage: build
  image: docker:26.1.2
  services:
    - docker:26.1.2-dind
  variables:
    DOCKER_TLS_CERTDIR: "/certs"
  only:
    - main
  before_script:
   - docker login -u $CI_REGISTRY_USER -p $CI_REGISTRY_PASSWORD $CI_REGISTRY
  # - docker login -u $REGISTRY_USER -p $REGISTRY_PASS
  script:
    - echo "Building Image...."
    - docker build -t $IMAGE_NAME:$IMAGE_TAG .
    - docker push $IMAGE_NAME:$IMAGE_TAG

# test:
#     stage: test
#     only:
#     - main 
#     tags:
#       - v1.1 
#     script:
#       - cd mec
#       - export IMAGE_CON=$IMAGE_NAME:$IMAGE_TAG
#       - ls
#       - envsubst  < meclocationk8s.yaml > ../deployment.yaml
#       - cd swagger_server
#       - pip show pytest
#       - python3 -m pytest
#     artifacts:
#       paths:
#         - deployment.yaml
#       expire_in: 1 day 

# build:
#     stage: build
#     image: docker:19.03.12 
#     only:
#     - main 
#     tags:
#       - icom-runner
#     services:
#         - name: docker:19.03.12-dind
#     variables:
#         DOCKER_DRIVER: overlay2
#         DOCKER_TLS_CERTDIR: ""
#         DOCKER_HOST: tcp://docker:2375  #should use it!

#     before_script: 
#         - echo "This script logs into the DB with $REGISTRY_USER $GITLAB_TOKEN"
#         - docker login colab-repo.intracom-telecom.com:5050 -u $REGISTRY_USER -p $GITLAB_TOKEN

# deploy:
#   stage: deploy
#   # tags: 
#   #   - docker
#   only:
#     - icom 
#   tags:
#       - docker
#   image:
#     name: bitnami/kubectl:latest
#     entrypoint: ['']
#   before_script:
#     - echo $KUBECONFIG64 | base64 --decode > /.kube/config
#   script:
#     - env
#     - cd mec
#     - cat /.kube/config
#     - kubectl get pods -A 
#     - cat ../deployment.yaml
#     - kubectl apply -f ../deployment.yaml -n netma